Bug 604666 - Many "martian source" log messages after upgrade to F13
Many "martian source" log messages after upgrade to F13
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 09:11 EDT by Robert de Rooy
Modified: 2011-06-27 14:22 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:22:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert de Rooy 2010-06-16 09:11:40 EDT
Description of problem:
Since upgrading from F12 to F13 I get lots of these messages in the logs

martian source 192.168.1.102 from 192.168.1.1, on dev wlan0
ll header: ff:ff:ff:ff:ff:ff:00:1c:f0:fd:8f:26:08:06

In fact in the last hour and a half I already got 68

# uptime
 14:53:34 up  1:30,  3 users,  load average: 0.02, 0.05, 0.06
# dmesg |grep martian|wc -l
68

This only seems to happen when I am connected over both eth0 and wlan0 simultaneously to the same network, which is a common setup for a home WiFi router. 

Version-Release number of selected component (if applicable):
kernel-2.6.33.5-124.fc13.x86_64
NetworkManager-0.8.1-0.1.git20100510.fc13.x86_64

How reproducible:
Each time you have 2 network interfaces on the same network (eth0 and wlan0 in this case)

Steps to Reproduce:
1. Typical home WiFi router
2. connect to the router via WiFi
3. connect to the router via Ethernet
  
Actual results:
Martian invasion

Expected results:
Martians stay at home

Additional info:

# ifconfig 
eth0      Link encap:Ethernet  HWaddr 00:16:41:E3:7E:57  
          inet addr:192.168.1.102  Bcast:192.168.1.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:44592 errors:0 dropped:0 overruns:0 frame:0
          TX packets:33955 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100 
          RX bytes:47017332 (44.8 MiB)  TX bytes:4945014 (4.7 MiB)
          Memory:ee000000-ee020000 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:14 errors:0 dropped:0 overruns:0 frame:0
          TX packets:14 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:737 (737.0 b)  TX bytes:737 (737.0 b)

wlan0     Link encap:Ethernet  HWaddr 00:19:7E:57:31:2D  
          inet addr:192.168.1.103  Bcast:192.168.1.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:784 errors:0 dropped:0 overruns:0 frame:0
          TX packets:15 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:149921 (146.4 KiB)  TX bytes:3849 (3.7 KiB)

# lspci -nn|grep Ethernet
02:00.0 Ethernet controller [0200]: Intel Corporation 82573L Gigabit Ethernet Controller [8086:109a]
03:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR5212 802.11abg NIC [168c:1014] (rev 01)
Comment 1 Dan Williams 2010-06-28 16:16:07 EDT
This appears to be kernel/network layer issues.
Comment 2 Robert de Rooy 2010-07-07 05:47:39 EDT
In the meantime I got a new machine with Intel Wifi and it has the same problem.

$ lspci -nn|grep Network
00:19.0 Ethernet controller [0200]: Intel Corporation 82577LM Gigabit Network Connection [8086:10ea] (rev 06)
03:00.0 Network controller [0280]: Intel Corporation Centrino Advanced-N 6200 [8086:4239] (rev 35)
Comment 3 Bug Zapper 2011-06-02 06:37:26 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 14:22:19 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.